Backup sous Amazon s3cmd (Debian Jessie)

Ce billet à pour but de répondre à plusieurs problèmes rencontrés lors de backups envoyés sur Amazon S3 depuis un serveur Debian Jessie. Le premier problème est que la version de s3cmd, dans le package awscli de Debian 8.0 Jessie, n’est pas très à jour. (Version 1.50 sous Jessie)  En particulier elle ne supporte pas En savoir plus surBackup sous Amazon s3cmd (Debian Jessie)[…]

Pfsense, VPN et AWS : résolution de noms

  pfSense est un firewall opensource utilisé de plus en plus souvent, que ce soit en virtuel ou en physique, pour protéger des infrastructures et créer des VPN. L’une des possibilités est d’ailleurs d’ouvrir un VPN IPSEC vers Amazon AWS (VPC) pour se relier à son cloud en permanence. Récemment j’ai eu le soucis de constater En savoir plus surPfsense, VPN et AWS : résolution de noms[…]

Config OpenDKIM et Postfix sous Debian

Voici un article pour aider les gens sous Debian (Jessie ou autre) à installer une config OpenDKIM qui fonctionne avec postfix, car la FAQ officielle sur le wiki Debian ne permet pas, si on la suit a la lettre ,d’avoir une config qui marche. Elle omet aussi de parler de certaines options. apt-get install opendkim opendkim-tools En savoir plus surConfig OpenDKIM et Postfix sous Debian[…]

La bombe à retardement ALPN/NPN

Sur le web de nos jours, Chrome est pratiquement leader du marché. Depuis quelques mois, ils sont assez agressifs dans la gestion des nouveaux protocoles, poussant dehors tout ce qui n’est pas résolument à la pointe. Le 15 Mai 2016 sera une petite révolution si rien ne change   Google annonce donc cesser de supporter SPDY dans En savoir plus surLa bombe à retardement ALPN/NPN[…]

Drupal : error 0 trying to fetch updates, http request status failed

Si , par exemple après une migration d’un site web ; vous souffrez des erreurs HTTP request status Fails Your system or network configuration does not allow Drupal to access web pages ou encore HTTP error 0 occurred when trying to fetch Le web tout entier va vous dire C’est un problème de permissions (dans En savoir plus surDrupal : error 0 trying to fetch updates, http request status failed[…]

Créer des certificats et une root CA (autorité) sous Linux/OpenSSL

Petit billet pour résumer quelque chose que j’ai vu expliqué de 20 façons différentes sur le web (en voici une 21ème 🙂 Comment créer des certificats auto signés (self signed) liés à votre propre root CA, créé pour l’occasion ? Usage typique: VPNs, applicatifs (middleware) sécurisés, etc. Pré requis ; un système linux avec OpenSSL En savoir plus surCréer des certificats et une root CA (autorité) sous Linux/OpenSSL[…]

Varnish or NGINX as reverse proxy ?

I have to take this decision for customers nearly once a week, and there is no simple answer to the « varnish or nginx reverse proxy » question. A few thoughts. Varnish was created to be a reverse proxy. NGINX is more of a webserver than can also do reverse proxy. In my humble opinion, Varnish is a better En savoir plus surVarnish or NGINX as reverse proxy ?[…]

Monter un share via samba/cifs sous Debian/Ubuntu

Comme avec tous mes petits billets, j’espère ici épargner deux heures de souffrances aux sysadmins qui doivent monter un drive « share » (par exemple un backup ftp de chez OVH) en CIFS. Un tutoriel sommaire existe chez OVH, qui ne parle pas des pré requis. De plus certaines choses imposées dans l’exemple ne sont pas expliquées. Pour ce qui En savoir plus surMonter un share via samba/cifs sous Debian/Ubuntu[…]

Adresse IPV6 multiples sous Debian

Après avoir lu tout et son contraire, en particulier dans les tutoriaux de OVH, sur la façon d’ajouter des alias IPV4 et surtout de multiples IPV6 sur un serveur Debian, voici ma façon de faire. Elle fonctionne sous Debian 6, 7 et 8. Modifiez (bien sûr)   /etc/network/interfaces et suivez l’exemple : # The loopback En savoir plus surAdresse IPV6 multiples sous Debian[…]

Apache 2.2 vers 2.4 dans une dist-upgrade

Quelques remarques pour ceux qui tenteront une migration Debian wheezy – jessie , mais ceci peut probablement intéresser les utilisateurs Ubuntu lors d’un passage (dist-upgrade) entre Apache 2.2 et 2.4 ( 12.04/14.04 Trusty ) Sous Debian, un système Apache 2.2 « dist upgradé » vers Apache 2.4 est soumis de façon « transparente » à de nombreux scripts de migration. L’essentiel En savoir plus surApache 2.2 vers 2.4 dans une dist-upgrade[…]